设为首页收藏本站返回主页

Ubuntu Kylin技术论坛

 找回密码
 立即注册
搜索
查看: 91|回复: 5

【问题】如何添加快速启动栏图标?

[复制链接]
  • TA的每日心情
    开心
    5 天前
  • 签到天数: 3 天

    [LV.2]偶尔看看I

    参加活动: 0

    组织活动: 0

    发表于 7 天前 | 显示全部楼层 |阅读模式
    最近在笔记本电脑thinkpadR61e上安装了麒麟社区版17.04,用着还不错。

    提个问题,请问怎么在快速启动栏添加程序图标呢?就是在“开始”按钮右边firefox图标的位置。

    回复

    使用道具 举报

  • TA的每日心情
    奋斗
    昨天 09:15
  • 签到天数: 760 天

    [LV.10]以坛为家III

    参加活动: 0

    组织活动: 0

    发表于 6 天前 | 显示全部楼层
    可以从开始菜单直接托图标进来,最后拖到两个图标中间位置
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    开心
    5 天前
  • 签到天数: 3 天

    [LV.2]偶尔看看I

    参加活动: 0

    组织活动: 0

     楼主| 发表于 6 天前 | 显示全部楼层
    首先,开始菜单里面的东西无法拖动,但是可以通过右键选择“附加[开始菜单]”或者选“锁定到任务栏”都可以添加到快速启动栏那里。

    桌面的图标倒可以拖动,但是我试了很多次都没有成功拖进去,要不就是让firefox打开了,要不就是被文档编辑器打开了,可能时技术不够?
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    昨天 09:15
  • 签到天数: 760 天

    [LV.10]以坛为家III

    参加活动: 0

    组织活动: 0

    发表于 3 天前 | 显示全部楼层
    heavenzone 发表于 2017-10-13 15:17
    首先,开始菜单里面的东西无法拖动,但是可以通过右键选择“附加[开始菜单]”或者选“锁定到任务栏”都可以 ...


    本帖子中包含更多资源

    您需要 登录 才可以下载或查看,没有帐号?立即注册

    x
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    昨天 09:15
  • 签到天数: 760 天

    [LV.10]以坛为家III

    参加活动: 0

    组织活动: 0

    发表于 3 天前 | 显示全部楼层

    不能的话,发下你的版本:dpkg -l ukui-menu
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    开心
    5 天前
  • 签到天数: 3 天

    [LV.2]偶尔看看I

    参加活动: 0

    组织活动: 0

     楼主| 发表于 昨天 15:09 | 显示全部楼层
    1. 查看没安装

    1. heaven@heaven-ThinkPad:~$ dpkg -l ukui-menu
    2. dpkg-query: 没有找到与 ukui-menu 相匹配的软件包
    复制代码

    2. 然后就安装ukui-menu

    1. heaven@heaven-ThinkPad:~$ sudo apt-get install ukui-menu
    2. 正在读取软件包列表... 完成
    3. 正在分析软件包的依赖关系树      
    4. 正在读取状态信息... 完成      
    5. 将会同时安装下列软件:
    6.   gir1.2-wnck-3.0
    7. 下列【新】软件包将被安装:
    8.   gir1.2-wnck-3.0 ukui-menu
    9. 升级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 1205 个软件包未被升级。
    10. 需要下载 60.1 kB 的归档。
    11. 解压缩后会消耗 471 kB 的额外空间。
    12. 您希望继续执行吗? [Y/n] y
    13. 获取:1 http://cn.archive.ubuntu.com/ubuntu zesty/main amd64 gir1.2-wnck-3.0 amd64 3.20.1-3 [8,566 B]
    14. 获取:2 http://cn.archive.ubuntu.com/ubuntu zesty/universe amd64 ukui-menu all 1.0.0-0ubuntu1 [51.5 kB]
    15. 已下载 60.1 kB,耗时 5秒 (10.7 kB/s)
    16. 正在选中未选择的软件包 gir1.2-wnck-3.0:amd64。
    17. (正在读取数据库 ... 系统当前共安装有 194513 个文件和目录。)
    18. 正准备解包 .../gir1.2-wnck-3.0_3.20.1-3_amd64.deb  ...
    19. 正在解包 gir1.2-wnck-3.0:amd64 (3.20.1-3) ...
    20. 正在选中未选择的软件包 ukui-menu。
    21. 正准备解包 .../ukui-menu_1.0.0-0ubuntu1_all.deb  ...
    22. 正在解包 ukui-menu (1.0.0-0ubuntu1) ...
    23. 正在处理用于 libglib2.0-0:amd64 (2.52.0-1) 的触发器 ...
    24. 正在处理用于 man-db (2.7.5-1kord) 的触发器 ...
    25. 正在设置 gir1.2-wnck-3.0:amd64 (3.20.1-3) ...
    26. 正在设置 ukui-menu (1.0.0-0ubuntu1) ...
    复制代码

    3. 然后再查看ukui-menu

    1. heaven@heaven-ThinkPad:~$ dpkg -l ukui-menu
    2. 期望状态=未知(u)/安装(i)/删除(r)/清除(p)/保持(h)
    3. | 状态=未安装(n)/已安装(i)/仅存配置(c)/仅解压缩(U)/配置失败(F)/不完全安装(H)/触发器等待(W)/触发器未决(T)
    4. |/ 错误?=(无)/须重装(R) (状态,错误:大写=故障)
    5. ||/ 名称           版本         体系结构:   描述
    6. +++-==============-============-============-=================================
    7. ii  ukui-menu      1.0.0-0ubunt all          Advanced UKUI menu
    8. heaven@heaven-ThinkPad:~$ dpkg -l ukui-menu
    9. 期望状态=未知(u)/安装(i)/删除(r)/清除(p)/保持(h)
    10. | 状态=未安装(n)/已安装(i)/仅存配置(c)/仅解压缩(U)/配置失败(F)/不完全安装(H)/触发器等待(W)/触发器未决(T)
    11. |/ 错误?=(无)/须重装(R) (状态,错误:大写=故障)
    12. ||/ 名称                          版本                体系结构:          描述
    13. +++-=============================-===================-===================-===============================================================
    14. ii  ukui-menu                     1.0.0-0ubuntu1      all                 Advanced UKUI menu
    复制代码



    4.   尝试运行ukui-menu

    1. heaven@heaven-ThinkPad:~$ ukui-menu

    2. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:31:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.
    3. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:35:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.
    4. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:91:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.
    5. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:95:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.
    6. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:104:69: The :insensitive pseudo-class is deprecated. Use :disabled instead.
    7. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:106:69: The :insensitive pseudo-class is deprecated. Use :disabled instead.
    8. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets-borders.css:108:64: The :insensitive pseudo-class is deprecated. Use :disabled instead.

    9. 省略很多行

    10. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1933:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.
    11. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1984:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'
    12. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1990:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'
    13. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2022:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.
    14. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2027:18: The :focused pseudo-class is deprecated. Use :focus instead.
    15. (ukui-menu.py:6795): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2034:18: The :focused pseudo-class is deprecated. Use :focus instead.
    16. Traceback (most recent call last):
    17.   File "/usr/lib/ukui-menu/ukui-menu.py", line 40, in <module>
    18.     from gi.repository import MatePanelApplet
    19.   File "/usr/lib/python2.7/dist-packages/gi/importer.py", line 140, in load_module
    20.     raise ImportError(e)
    21. ImportError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded
    复制代码


    5. 可能没安装gtk2.0,于是尝试安装gtk2.0,安装了很多东西

    1. sudo apt-get install gtk2.0
    复制代码

    6. 再次运行ukui-menu

    1. 省略很多行

    2. (ukui-menu.py:7265): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2022:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.

    3. (ukui-menu.py:7265): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2027:18: The :focused pseudo-class is deprecated. Use :focus instead.

    4. (ukui-menu.py:7265): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2034:18: The :focused pseudo-class is deprecated. Use :focus instead.
    5. Traceback (most recent call last):
    6.   File "/usr/lib/ukui-menu/ukui-menu.py", line 40, in <module>
    7.     from gi.repository import MatePanelApplet
    8.   File "/usr/lib/python2.7/dist-packages/gi/importer.py", line 140, in load_module
    9.     raise ImportError(e)
    10. ImportError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded
    复制代码


    最后貌似还是不能运行ukui-menu






    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    Archiver|手机版|小黑屋|Ubuntu Kylin    

    GMT+8, 2017-10-19 02:27 , Processed in 0.060304 second(s), 26 queries .

    Powered by Discuz! X3.2

    © 2001-2013 Comsenz Inc.

    快速回复 返回顶部 返回列表